curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
العملاء المحتملون والنماذج
سرد قوالب النماذج
GET /forms/template/
GET
/
forms
/
template
/
curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
يسرد قوالب النماذج المدمجة في المنصة — مخططات حقول ابتدائية يمكنك تمريرها مباشرة كـ
الاستجابة عبارة عن مصفوفة مسطحة، غير مقسّمة إلى صفحات، تحتوي فقط على القوالب النشطة، مرتبة حسب
data عند إنشاء نموذج.
يتطلب فقط مصادقة الحساب — لا يُطبَّق على هذا الطرف تحقق من حصة
MANAGEMENT_API.curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
order ثم name. يستخدم blocks_json نفس الشكل تمامًا مثل حقل data الخاص بالنموذج نفسه — مرّره مباشرةً إلى معامل نص data في إنشاء نموذج للبدء من قالب.
ذو صلة
- إنشاء نموذج — استخدام
blocks_jsonلأحد القوالب كـdataابتدائية. - نظرة عامة على واجهة برمجة التطبيقات للإدارة — مخطط المصادقة وبنية الحصص التي ينتمي إليها هذا الطرف.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200
List of form templates.
هل كانت هذه الصفحة مفيدة؟